View Issue Details

IDProjectCategoryView StatusLast Update
0015715ScribusTypographypublic2019-07-30 21:27
Reportermbuscemi Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSPop!_OSOS Version19.04
Product Version1.5.4 
Target VersionFixed in Version1.5.5.svn 
Summary0015715: When changing sections, page numbers on regular pages are not updated immediately
DescriptionWhen changing a documents section configuration, the page number elements in text fields on master pages will update immediately as expected. However, page number elements in text fields on regular pages do not update immediately. I restarted Scribus, reloaded my document, and all of the page numbers became correct.

Expectation: When changing section data, all page numbers throughout the document should be updated to reflect the new sections, not just those on master pages.
Steps To ReproduceCreate a document with a single section.
Create a number of pages within it.
On some pages, put page numbers in text fields on master pages.
On some pages, put page numbers in text fields on regular pages.
Change the document to contain two sections, starting the second section at number 1.
Apply the section changes.
Observe that only the page numbers originating from master pages are updated to reflect the new section.
Save, Restart Scribus, and reload the document.
Observe that the page numbers are all now correct.
TagsNo tags attached.
PatchNo

Activities

ale

2019-06-17 08:21

manager   ~0046311

you might be able to run "extras > update document" instead of restarting scribus.

but the issue remains...

Issue History

Date Modified Username Field Change
2019-06-16 01:36 mbuscemi New Issue
2019-06-17 08:21 ale Note Added: 0046311
2019-07-05 19:51 jghali Summary When changing sections, only page numbers on master pages are updated immediately; page numbers on regular pages are not => When changing sections, page numbers on regular pages are not updated immediately
2019-07-05 19:52 jghali Assigned To => jghali
2019-07-05 19:52 jghali Status new => resolved
2019-07-05 19:52 jghali Resolution open => fixed
2019-07-05 19:52 jghali Fixed in Version => 1.5.5.svn
2019-07-30 21:27 cbradney Status resolved => closed